Package twisted :: Package conch :: Module ttymodes

[frames | no frames]

## Module twisted.conch.ttymodes

Variable Summary
`int` | `CS7` = 90
`int` | `CS8` = 91
`int` | `ECHO` = 53
`int` | `ECHOCTL` = 60
`int` | `ECHOE` = 54
`int` | `ECHOK` = 55
`int` | `ECHOKE` = 61
`int` | `ECHONL` = 56
`int` | `ICANON` = 51
`int` | `ICRNL` = 36
`int` | `IEXTEN` = 59
`int` | `IGNCR` = 35
`int` | `IGNPAR` = 30
`int` | `IMAXBEL` = 41
`int` | `INLCR` = 34
`int` | `INPCK` = 32
`int` | `ISIG` = 50
`int` | `ISTRIP` = 33
`int` | `IUCLC` = 37
`int` | `IXANY` = 39
`int` | `IXOFF` = 40
`int` | `IXON` = 38
`int` | `NOFLSH` = 57
`int` | `OCRNL` = 73
`int` | `OLCUC` = 71
`int` | `ONLCR` = 72
`int` | `ONLRET` = 75
`int` | `ONOCR` = 74
`int` | `OPOST` = 70
`int` | `PARENB` = 92
`int` | `PARMRK` = 31
`int` | `PARODD` = 93
`int` | `PENDIN` = 62
`int` | `TOSTOP` = 58
`int` | `TTY_OP_ISPEED` = 128
`int` | `TTY_OP_OSPEED` = 129
`dict` | `TTYMODES` = `{128: 'ISPEED', 1: 'VINTR', 2: 'VQUIT', 3: 'V...`
`int` | `VDISCARD` = 18
`int` | `VDSUSP` = 11
`int` | `VEOF` = 5
`int` | `VEOL` = 6
`int` | `VEOL2` = 7
`int` | `VERASE` = 3
`int` | `VFLUSH` = 15
`int` | `VINTR` = 1
`int` | `VKILL` = 4
`int` | `VLNEXT` = 14
`int` | `VQUIT` = 2
`int` | `VREPRINT` = 12
`int` | `VSTART` = 8
`int` | `VSTATUS` = 17
`int` | `VSTOP` = 9
`int` | `VSUSP` = 10
`int` | `VSWTCH` = 16
`int` | `VWERASE` = 13
`int` | `XCASE` = 52

Variable Details

### CS7

  Type:
    `int`
  Value:

        90

### CS8

  Type:
    `int`
  Value:

        91

### ECHO

  Type:
    `int`
  Value:

        53

### ECHOCTL

  Type:
    `int`
  Value:

        60

### ECHOE

  Type:
    `int`
  Value:

        54

### ECHOK

  Type:
    `int`
  Value:

        55

### ECHOKE

  Type:
    `int`
  Value:

        61

### ECHONL

  Type:
    `int`
  Value:

        56

### ICANON

  Type:
    `int`
  Value:

        51

### ICRNL

  Type:
    `int`
  Value:

        36

### IEXTEN

  Type:
    `int`
  Value:

        59

### IGNCR

  Type:
    `int`
  Value:

        35

### IGNPAR

  Type:
    `int`
  Value:

        30

### IMAXBEL

  Type:
    `int`
  Value:

        41

### INLCR

  Type:
    `int`
  Value:

        34

### INPCK

  Type:
    `int`
  Value:

        32

### ISIG

  Type:
    `int`
  Value:

        50

### ISTRIP

  Type:
    `int`
  Value:

        33

### IUCLC

  Type:
    `int`
  Value:

        37

### IXANY

  Type:
    `int`
  Value:

        39

### IXOFF

  Type:
    `int`
  Value:

        40

### IXON

  Type:
    `int`
  Value:

        38

### NOFLSH

  Type:
    `int`
  Value:

        57

### OCRNL

  Type:
    `int`
  Value:

        73

### OLCUC

  Type:
    `int`
  Value:

        71

### ONLCR

  Type:
    `int`
  Value:

        72

### ONLRET

  Type:
    `int`
  Value:

        75

### ONOCR

  Type:
    `int`
  Value:

        74

### OPOST

  Type:
    `int`
  Value:

        70

### PARENB

  Type:
    `int`
  Value:

        92

### PARMRK

  Type:
    `int`
  Value:

        31

### PARODD

  Type:
    `int`
  Value:

        93

### PENDIN

  Type:
    `int`
  Value:

        62

### TOSTOP

  Type:
    `int`
  Value:

        58

### TTY_OP_ISPEED

  Type:
    `int`
  Value:

        128

### TTY_OP_OSPEED

  Type:
    `int`
  Value:

        129

### TTYMODES

  Type:
    `dict`
  Value:

        {1: 'VINTR',
         2: 'VQUIT',
         3: 'VERASE',
         4: 'VKILL',
         5: 'VEOF',
         6: 'VEOL',
         7: 'VEOL2',
         8: 'VSTART',
        ...

### VDISCARD

  Type:
    `int`
  Value:

        18

### VDSUSP

  Type:
    `int`
  Value:

        11

### VEOF

  Type:
    `int`
  Value:

        5

### VEOL

  Type:
    `int`
  Value:

        6

### VEOL2

  Type:
    `int`
  Value:

        7

### VERASE

  Type:
    `int`
  Value:

        3

### VFLUSH

  Type:
    `int`
  Value:

        15

### VINTR

  Type:
    `int`
  Value:

        1

### VKILL

  Type:
    `int`
  Value:

        4

### VLNEXT

  Type:
    `int`
  Value:

        14

### VQUIT

  Type:
    `int`
  Value:

        2

### VREPRINT

  Type:
    `int`
  Value:

        12

### VSTART

  Type:
    `int`
  Value:

        8

### VSTATUS

  Type:
    `int`
  Value:

        17

### VSTOP

  Type:
    `int`
  Value:

        9

### VSUSP

  Type:
    `int`
  Value:

        10

### VSWTCH

  Type:
    `int`
  Value:

        16

### VWERASE

  Type:
    `int`
  Value:

        13

### XCASE

  Type:
    `int`
  Value:

        52

Generated by Epydoc 2.0 on Sat May 15 20:07:37 2004 | http://epydoc.sf.net